/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { NativeUIComponent } from "./NativeUIComponent";
import { markType } from "./type";
/**
 * @hidden
 */
var NativeUISlider = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(NativeUISlider, _super);
    function NativeUISlider() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.ap = null;
        return _this;
    }
    NativeUISlider.prototype.get_c = function () {
        return 5;
    };
    Object.defineProperty(NativeUISlider.prototype, "au", {
        get: function () {
            var a = this.o(2);
            return a;
        },
        set: function (a) {
            this.ad(2, a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUISlider.prototype, "as", {
        get: function () {
            var a = this.o(10);
            return a;
        },
        set: function (a) {
            this.ad(10, a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUISlider.prototype, "ar", {
        get: function () {
            var a = this.o(11);
            return a;
        },
        set: function (a) {
            this.ad(11, a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUISlider.prototype, "at", {
        get: function () {
            var a = this.o(12);
            return a;
        },
        set: function (a) {
            this.ad(12, a);
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NativeUISlider.prototype, "aq", {
        get: function () {
            return this.ap;
        },
        set: function (a) {
            this.ap = a;
            if (this.ap != null) {
                this.w(4, this.ap);
            }
            else {
                this.ab(4, this.ap);
            }
        },
        enumerable: false,
        configurable: true
    });
    NativeUISlider.$t = markType(NativeUISlider, 'NativeUISlider', NativeUIComponent.$);
    return NativeUISlider;
}(NativeUIComponent));
export { NativeUISlider };
